function sig = make2exp(phi,optscale);
% make two-sided exponential

  dur = calc_msw(phi,1);
  a = sqrt(1/dur/2);
  N = length(phi);
  t = (1:N)-N/2;
  if exist('optscale')
    t = optscale*t;
  end
  sig = exp(-a*abs(t(:)));
  sig = max(phi)/max(sig)*sig;

