function y = modulo_add(x,N,offset);
% modulo_add -- add offset to a vector x , modulo N
%
% Usage
%  y = modulo_add(x,N,offset);
%
% Inputs
%  x		input vector, assumed to lie in the range 1 to N
%  N	
%  offset	offset, may be negative. 
%
% Outputs
%  y		output vector, lies in the range 1 to N


       y = rem(rem(x+offset-1,N)+N,N) +1;


% Copyright (c) 1998 Thomas T. Liu

